const Map<String, String> FRAMESv2_2 = {
  'CNT': 'PlayCounter',
  'COM': 'Comment',
  'CRA': 'Encryption',
  'EQU': 'Equalization',
  'IPL': 'People',
  'LNK': 'Information',
  'PIC': 'APIC',
  'POP': 'Popularimeter',
  'REV': 'Reverb',
  'SLT': 'Transcript',
  'TAL': 'Album',
  'TBP': 'BPM',
  'TCM': 'Composer',
  'TCO': 'ContentType',
  'TCR': 'Copyright',
  'TDA': 'Date',
  'TEN': 'EncodedBy',
  'TFT': 'FileType',
  'TIM': 'Time',
  'TKE': 'Key',
  'TLA': 'Language',
  'TLE': 'Length',
  'TMT': 'MediaType',
  'TOA': 'OriginalPerformer',
  'TOF': 'OriginalFilename',
  'TOL': 'OriginalLyricist',
  'TOR': 'OriginalReleaseYear',
  'TOT': 'OriginalAlbum',
  'TP1': 'Artist',
  'TP2': 'Accompaniment',
  'TP3': 'Conductor',
  'TP4': 'ModifiedBy',
  'TPB': 'Publisher',
  'TRC': 'ISRC',
  'TRK': 'Track',
  'TSI': 'Size',
  'TSS': 'Settings',
  'TT1': 'Content',
  'TT2': 'Title',
  'TT3': 'SubTitle',
  'TXT': 'Lyricist',
  'TXX': 'AdditionalInfo',
  'TYE': 'Year',
  'UFI': 'ID',
  'ULT': 'UnsyncTranscript',
  'WAF': 'OFileWebpage',
  'WAR': 'OArtistWebpage',
  'WAS': 'OAudioWebpage',
  'WCM': 'CommercialInfo',
  'WCP': 'CopyrightInfo',
  'WPB': 'OPublisherWebpage',
  'WXX': 'CLink'
};

const Map<String, String> FRAMESv2_3 = {
  'AENC': 'Encryption',
  'APIC': 'APIC',
  'COMM': 'Comment',
  'COMR': 'Commercial',
  'ENCR': 'ENCR',
  'EQUA': 'Equalization',
  'ETCO': 'ETCO',
  'GEOB': 'GEOB',
  'GRID': 'GRID',
  'IPLS': 'People',
  'LINK': 'Information',
  'MCDI': 'MCDI',
  'MLLT': 'MLLT',
  'OWNE': 'OWNE',
  'PRIV': 'PRIV',
  'PCNT': 'PlayCounter',
  'POPM': 'Popularimeter',
  'POSS': 'POSS',
  'RBUF': 'RBUF',
  'RVAD': 'RVAD',
  'SYLT': 'Lyrics',
  'SYTC': 'SYTC',
  'TALB': 'Album',
  'TBPM': 'BPM',
  'TCOM': 'Composer',
  'TCON': 'Genre',
  'TCOP': 'Copyright',
  'TDAT': 'Date',
  'TDLY': 'Playlist',
  'TENC': 'EncodedBy',
  'TEXT': 'Lyricist',
  'TFLT': 'FileType',
  'TIME': 'Time',
  'TIT1': 'Content',
  'TIT2': 'Title',
  'TIT3': 'SubTitle',
  'TKEY': 'Key',
  'TLAN': 'Language',
  'TLEN': 'Length',
  'TMED': 'MediaType',
  'TOAL': 'OriginalAlbum',
  'TOFN': 'OriginalFilename',
  'TOLY': 'OriginalLyricist',
  'TOPE': 'OriginalPerformer',
  'TORY': 'OriginalReleaseYear',
  'TOWN': 'Owner',
  'TPE1': 'Artist',
  'TPE2': 'Accompaniment',
  'TPE3': 'Conductor',
  'TPE4': 'ModifiedBy',
  'TPOS': 'TPOS',
  'TPUB': 'Publisher',
  'TRCK': 'Track',
  'TRDA': 'RecordedOn',
  'TRSN': 'RadioStation',
  'TRSO': 'RadioStationOwner',
  'TSIZ': 'Size',
  'TSRC': 'ISRC',
  'TSSE': 'Settings',
  'TYER': 'Year',
  'TXXX': 'AdditionalInfo',
  'UFID': 'ID',
  'USER': 'Terms',
  'USLT': 'UnsyncTranscript',
  'WCOM': 'CommercialInfo',
  'WCOP': 'CopyrightInfo',
  'WOAF': 'OFileWebpage',
  'WOAR': 'OArtistWebpage',
  'WOAS': 'OAudioWebpage',
  'WORS': 'ORadioWebpage',
  'WPAY': 'Payment',
  'WPUB': 'OPublisherWebpage',
  'WXXX': 'CLink'
};

const GENREv1 = [
  'Blues',
  'Classic Rock',
  'Country',
  'Dance',
  'Disco',
  'Funk',
  'Grunge',
  'Hip-Hop',
  'Jazz',
  'Metal',
  'New Age',
  'Oldies',
  'Other',
  'Pop',
  'Rhythm and Blues',
  'Rap',
  'Reggae',
  'Rock',
  'Techno',
  'Industrial',
  'Alternative',
  'Ska',
  'Death Metal',
  'Pranks',
  'Soundtrack',
  'Euro-Techno',
  'Ambient',
  'Trip-Hop',
  'Vocal',
  'Jazz & Funk',
  'Fusion',
  'Trance',
  'Classical',
  'Instrumental',
  'Acid',
  'House',
  'Game',
  'Sound clip',
  'Gospel',
  'Noise',
  'Alternative Rock',
  'Bass',
  'Soul',
  'Punk',
  'Space',
  'Meditative',
  'Instrumental Pop',
  'Instrumental Rock',
  'Ethnic',
  'Gothic',
  'Darkwave',
  'Techno-Industrial',
  'Electronic',
  'Pop-Folk',
  'Eurodance',
  'Dream',
  'Southern Rock',
  'Comedy',
  'Cult',
  'Gangsta',
  'Top 40',
  'Christian Rap',
  'Pop/Funk',
  'Jungle music',
  'Native US',
  'Cabaret',
  'New Wave',
  'Psychedelic',
  'Rave',
  'Showtunes',
  'Trailer',
  'Lo-Fi',
  'Tribal',
  'Acid Punk',
  'Acid Jazz',
  'Polka',
  'Retro',
  'Musical',
  'Rock ’n’ Roll',
  'Hard Rock'
];

const PICTYPE = {
  0x00: 'Other',
  0x01: 'FileIcon',
  0x02: 'OtherFileIcon',
  0x03: 'FrontCover',
  0x04: 'BackCover',
  0x05: 'LeafletPage',
  0x06: 'Media (e.g. lable side of CD)',
  0x07: 'LeadArtist',
  0x08: 'Artist',
  0x09: 'Conductor',
  0x0A: 'Band',
  0x0B: 'Composer',
  0x0C: 'Lyricist',
  0x0D: 'RecordingLocation',
  0x0E: 'DuringRecording',
  0x0F: 'DuringPerformance',
  0x10: 'VideoStill',
  // Might be a joke but it's in the ID3 spec
  0x11: 'ABrightColouredFish',
  0x12: 'Illustration',
  0x13: 'ArtistLogo',
  0x14: 'PublisherLogo'
};
